#pragma once

#include "Draw/Button.h"
#include "States/IState.h"

class Menu: public IDrawable {
public:
    void draw_into(sf::RenderWindow& window) const override;
    void process_mouse(sf::Vector2f pos, bool is_pressed);
public:
    Menu(IStateManager& state_manager);
private:
    std::array<Button, 4> m_buttons;
};