#include "Config.h"
#include "Draw/MyFont.h"

MyFont::MyFont() {
    if (!m_font.loadFromFile(FONT_PATH + std::string(config::FONT_FILE))) {
        throw std::runtime_error("Could not open the Font file!");
    }
}

MyFont& MyFont::Instance() {
    static MyFont instance;
    return instance;
}

const sf::Font& MyFont::get_font() const noexcept {
    return m_font;
}